ssl(7)

NAME
ssl - The ssl application provides secure communication over
  sockets.

DESCRIPTION

DEPENDENCIES

The SSL application uses the public_key and Crypto application to handle public keys and encryption, hence these applications must be loaded for the SSL application to work. In an embedded environment this means they must be started with application:start/[1,2] before the SSL application is started.

CONFIGURATION

The application environment configuration parameters in this section are defined for the SSL application. For more information about configuration parameters, see the application(3) manual page in Kernel.

The environment parameters can be set on the command line, for example:

erl -ssl protocol_version "['tlsv1.2', 'tlsv1.1']"

    protocol_version = <seealso marker="kernel:error_logger">ssl:protocol()</seealso> <optional>.:
        Protocol supported by started clients and servers. If this option is not set, it defaults to all protocols currently supported by the SSL application. This option can be overridden by the version option to ssl:connect/[2,3] and ssl:listen/2.

    session_lifetime = integer() <optional>:
        Lifetime of the session data in seconds.

    session_cb = atom() <optional>:
        Name of the session cache callback module that implements the ssl_session_cache_api behavior. Defaults to ssl_session_cache.erl.

    session_cb_init_args = proplist:proplist() <optional>:
        List of extra user-defined arguments to the init function in the session cache callback module. Defaults to [].

    ssl_pem_cache_clean = integer() <optional>:
        Number of milliseconds between PEM cache validations.ssl:clear_pem_cache/0

    alert_timeout = integer() <optional>:
        Number of milliseconds between sending of a fatal alert and closing the connection. Waiting a little while improves the peers chances to properly receiving the alert so it may shutdown gracefully. Defaults to 5000 milliseconds.

ERROR LOGGER AND EVENT HANDLERS

The SSL application uses the default OTP error logger to log unexpected errors and TLS alerts. The logging of TLS alerts may be turned off with the log_alert option.

SEE ALSO

application(3)